From a06d2fe154f755c3af1e7f261cd631929b9da998 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=96mer=20Fad=C4=B1l=20USTA?= <omerusta@gmail.com>
Date: Sat, 2 Oct 2021 22:16:06 +0300
Subject: [PATCH] Fix Compile for Newer Akonadi Builds

---
 kmymoney/mymoney/mymoneycontact.cpp | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/kmymoney/mymoney/mymoneycontact.cpp b/kmymoney/mymoney/mymoneycontact.cpp
index acc3575ef..a32357290 100644
--- a/kmymoney/mymoney/mymoneycontact.cpp
+++ b/kmymoney/mymoney/mymoneycontact.cpp
@@ -8,11 +8,20 @@
 #include "mymoneycontact.h"
 
 #ifdef ENABLE_ADDRESSBOOK
-#include <KIdentityManagement/IdentityManager>
 #include <KIdentityManagement/Identity>
+#include <KIdentityManagement/IdentityManager>
+#include <akonadi_version.h>
+
+#if AKONADI_VERSION >= QT_VERSION_CHECK(5, 18, 41)
+#include <Akonadi/Collection>
+#include <Akonadi/ItemFetchScope>
+#include <Akonadi/RecursiveItemFetchJob>
+#else
 #include <AkonadiCore/RecursiveItemFetchJob>
 #include <AkonadiCore/ItemFetchScope>
 #include <AkonadiCore/Collection>
+#endif
+
 #include <KContacts/Addressee>
 #include <QRegularExpression>
 #endif
-- 
GitLab

